#
# spec file for package ceph-deploy
#

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

#################################################################################
# common
#################################################################################
Name:           ceph-deploy
Version:        2.0.0
Release:        0.0.7
Summary:        Admin and deploy tool for Ceph
License:        MIT
Group:          System/Filesystems
URL:            http://ceph.com/
Source0:        %{name}-%{version}.tar.bz2
Patch100:       set-adjust-repos-false.patch
Patch200:       set_default_install_msg_to_jewel.patch
Patch300:       add-debug-arg-to-parser-for-disk-zap.patch
Patch400:       remove_dependent_during_purge.patch
Patch500:       delete_service_files_when_purging.patch
Patch600:       add_yum_repolist_before_clean.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-virtualenv
BuildRequires:  python-mock
BuildRequires:  python-tox
%if 0%{?suse_version}
BuildRequires:  python-pytest
%else
BuildRequires:  pytest
%endif
BuildRequires:  git
Requires:       python-argparse
Requires:       python-distribute
#Requires:      lsb-release
#Requires:      ceph
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

#################################################################################
# specific
#################################################################################
%if 0%{defined suse_version}
%py_requires
%endif

%description
An easy to use admin tool for deploy ceph storage clusters.

%prep
#%%setup -q -n %%{name}
%setup -q
%patch100 -p1
%patch200 -p1
%patch300 -p1
%patch400 -p1
%patch500 -p1
%patch600 -p1

%build
#python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
install -m 0755 -D scripts/ceph-deploy $RPM_BUILD_ROOT/usr/bin

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc LICENSE README.rst
%{_bindir}/ceph-deploy
%{python_sitelib}/*

%changelog
* Wed Jul 11 2018 Muminul Islam <muminul.islam@oracle.com> - 2.0.0-0.0.7.el7
- Execute "yum repolist" before clean command   [oraBug 24789225]

* Thu May 24 2018 Muminul Islam <muminul.islam@oracle.com> - 2.0.0-0.0.6
- Delete ceph daemons instance related systemd files when stack is purged  [ orabug: 24291006 ]

* Wed May 23 2018 Muminul Islam <muminul.islam@oracle.com> - 2.0.0-0.0.5
- Delete ceph dependet packages when stack is purged  [ orabug: 28070649 ]

* Wed Apr 11 2018 Muminul Islam <muminul.islam@oracle.com> - 2.0.0-0.0.4
- Add debug arg to parser for disk zap [ orabug: 27748368 ]

* Thu Mar 29 2018 Muminul Islam <muminul.islam@oracle.com> - 2.0.0-0.0.3
- Change default install message to luminous [orabug: 27748368 ]

* Thu Feb 22 2018 Muminul Islam <muminul.islam@oracle.com> - 2.0.0-0.0.2
- Add runtime dependency python-distribute [ orabug: 27584311 ]

* Tue Feb 20 2018 Muminul Islam <muminul.islam@oracle.com> - 2.0.0-0.0.1
- Add set-adjust-repos-false.patch [ orabug: 20744644 ]

